﻿using AcademicProgressBusinessLogic.BindingModels;
using AcademicProgressBusinessLogic.Interfaces;
using DepartmentBusinessLogic.Interfaces;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AcademicProgressBusinessLogic.BusinessLogics
{
    /// <summary>
	/// Логика работы с отчетами
	/// </summary>
    public class ReportBusinessLogic : CoreBusinessLogic
    {
        /// <summary>
		/// Серивс для работы с отчетами
		/// </summary>
        private readonly IReportService _service;

        private readonly IStudentService _studentService;


        /// <summary>
        /// Логика работы с отчетом
        /// </summary>
        /// <param name="service"></param>
        public ReportBusinessLogic(IReportService service, IStudentService _studentService)
        {
            this._studentService = _studentService;
            _service = service;
            _serviceOperation = AccessOperation.Отчет_успеваемость;
            _entity = "Отчеты для успеваемости";
        }

        public void SaveReportToWordFile(ReportBindingModel model)
        {
         /*   SaveToWord.CreateDoc(new WordInfo
            {
                FileName = model.FolderName,
                Title = "Список заявок",
                RequestFlowers = GetRequestPlaces()
            });*/
        }

    }
}
